%define name		coin
%define tarname		Coin
%define version		3.1.3
%define release		%mkrel 3
%define major		60
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d
%define lib_name_orig	libcoin

Summary:		Implementation of the Open Inventor API
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		http://ftp.%{name}3d.org/%{name}/src/all/%{tarname}-%{version}.tar.gz
License:		GPLv2
Group:			System/Libraries
URL:			http://www.coin3d.org/
BuildRequires:		mesagl-devel

%description 
Coin is an implementation of the Open Inventor API, fully backwards
compatible with SGI Open Inventor v2.1, and incorporating many new
features.
Coin is portable across Win32, Linux, SGI IRIX, Mac OS X, HP-UX, Sun
Solaris, IBM AIX, and other platforms.

%package -n %{libname}
Summary:		Main library for Coin
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Coin.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use Coin
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{lib_name_orig}-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use Coin.

%prep
%setup -q -n %{tarname}-%{version}

%build

%configure2_5x CPPFLAGS="-fpermissive" 
%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{libnamedev}
%doc README FAQ AUTHORS NEWS RELNOTES THANKS
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/%{tarname}
%_datadir/aclocal
%{_mandir}/man1/*
%{_libdir}/pkgconfig/*.pc



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.1.3-3.mga3
+ Revision: 347999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 barjac <barjac> 3.1.3-2.mga3
+ Revision: 290582
- fix build for gcc-4.7 and rebuild

* Tue Feb 21 2012 barjac <barjac> 3.1.3-2.mga2
+ Revision: 211636
- Corrected Requires on -devel

* Tue Feb 21 2012 barjac <barjac> 3.1.3-1.mga2
+ Revision: 211381
- New version 3.1.3
- imported package coin

